/*
 *  CommonHead.h
 *  
 *  Created by Zhichao Lian on Apr/10/2013.
 *  Copyright 2013 Yale University. All rights reserved.
 *
 */
#ifndef _COMMONHEAD_H_
#define _COMMONHEAD_H_

#include <gsl_rng.h>
#include <gsl_sf_gamma.h>
#include <gsl_matrix.h>
#include <gsl_linalg.h>
#include <gsl_math.h>
#include <vector>
#include <math.h>
#include <map>
#include <algorithm>
#include <time.h>
#include <fstream>
#include <iostream>
#include <string>
#define PI 3.14156265359

struct HyperParSingle
{
	double mu;
	double nu;
	double kappa;
	double lamda;
};

struct HyperParGroup
{
	double mu;
	double nu;
	double kappa;
	double lamda_diag;
	double lamda_off_diag;
};
#endif